package com.jeeplus.finance.contractRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.contractRegistration.domain.ContractFilePaper;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-29 14:20
 **/
//@InterceptorIgnore(tenantLine = "true")
public interface ContractFilePaperMapper extends BaseMapper<ContractFilePaper> {
    /**
     * 根据合同id查询纸质归档信息
     * @param id
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")
    ContractFilePaper selectFilePaperByContractInfoId(String id);
    @InterceptorIgnore(tenantLine = "true")
    ContractFilePaper getById(String id);

    void updateStatusById(@Param("id") String id, @Param("filedType")String filedType);

    @InterceptorIgnore(tenantLine = "true")
    List<WorkAttachmentInfo> findList(@Param("id") String id);

    @InterceptorIgnore(tenantLine = "true")
    Integer findIsExit(@Param("id") String id, @Param("contractInfoId") String contractInfoId, @Param("name")String name);

    /**
     * 根据attachmentId删除上传文件信息
     */
    void deleteFileInfo(String attachmentId);
    @InterceptorIgnore(tenantLine = "true")
    void updateFileNumber(@Param("filedNo")String filedNo, @Param("id")String id);
}
